Feel free to reach techsupport@surepass.io for any technical support or guidance.
Authorization header as Bearer TOKEN.https://sandbox.surepass.iohttps://kyc-api.surepass.io| Header | Required | Description |
|---|---|---|
| Authorization | Yes | Bearer token for authentication (JWT format) |
| Content-Type | Yes | application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
| name | String | Yes | Full name of the individual |
| consent | String | Yes | User consent indicator (e.g., "Y" for consent given) |
| mobile | String | Yes | Mobile number of the individual |
| pan | String | Yes | PAN (Permanent Account Number) of the individual |
{
"name": "Vishal Rathore",
"consent": "Y",
"mobile": "8890858585",
"pan": "FPVPR1234Q"
}| Parameter | Type | Description |
|---|---|---|
| data | Object | Container for the response data |
| data.client_id | String | Unique client identifier for the request |
| data.name | String | Name of the individual as provided in the request |
| data.mobile | String | Mobile number as provided in the request |
| data.pan | String | PAN number as provided in the request |
| data.credit_score | String | Credit score of the individual |
| data.credit_report | Object | Detailed credit report from Experian |
| status_code | Number | HTTP status code of the response |
| success | Boolean | Indicates if the request was successful |
| message | String | Response message |
| message_code | String | Code representing the response message |
{
"data": {
"client_id": "credit_report_experian_SivVmssPcdDwdnhnqghz",
"name": "Vishal Rathore",
"mobile": "8890858585",
"pan": "FPVPR1234Q",
"credit_score": "792",
"credit_report": {
"CreditProfileHeader": {
"ReportDate": 20240705,
"ReportTime": 172347,
"Version": "V2.4",
"ReportNumber": 1720180426926
},
"Current_Application": {
"Current_Application_Details": {
"Enquiry_Reason": 99,
"Finance_Purpose": 99,
"Amount_Financed": 0,
"Duration_Of_Agreement": 0,
"Current_Applicant_Details": {
"Last_Name": "SINGH Mirzapur",
"First_Name": "Munna Bhaiya",
"Middle_Name1": "",
"Middle_Name2": "",
"Middle_Name3": "",
"Gender_Code": 1,
"IncomeTaxPan": "FPVPR1234Q",
"Date_Of_Birth_Applicant": 19971008,
"Telephone_Number_Applicant_1st": "",
"Telephone_Extension": "",
"Telephone_Type": "",
"MobilePhoneNumber": 8890858585,
"EMailId": ""
},
"Current_Other_Details": {
"Income": 0,
"Marital_Status": "",
"Employment_Status": "",
"Time_with_Employer": "",
"Number_of_Major_Credit_Card_Held": ""
},
"Current_Applicant_Address_Details": {
"FlatNoPlotNoHouseNo": "PLOT NO A 403 RAMNAGRIYA NEAR SKIT",
"BldgNoSocietyName": "",
"RoadNoNameAreaLocality": "",
"City": "Jaipur",
"Landmark": "",
"State": 8,
"PINCode": 302033,
"Country_Code": "IB"
},
"Current_Applicant_Additional_AddressDetails": ""
}
},
"CAIS_Account": {
"CAIS_Summary": {
"Credit_Account": {
"CreditAccountTotal": 44,
"CreditAccountActive": 15,
"CreditAccountDefault": 0,
"CreditAccountClosed": 29,
"CADSuitFiledCurrentBalance": 0
},
"Total_Outstanding_Balance": {
"Outstanding_Balance_Secured": 0,
"Outstanding_Balance_Secured_Percentage": 0,
"Outstanding_Balance_UnSecured": 112480,
"Outstanding_Balance_UnSecured_Percentage": 92,
"Outstanding_Balance_All": 122679
}
},
"CAIS_Account_DETAILS": [
/* Detailed account information would be here */
]
},
"Match_result": {
"Exact_match": "Y"
},
"TotalCAPS_Summary": {
"TotalCAPSLast7Days": 3,
"TotalCAPSLast30Days": 3,
"TotalCAPSLast90Days": 3,
"TotalCAPSLast180Days": 4
},
"CAPS": {
/* Credit application details would be here */
},
"NonCreditCAPS": {
/* Non-credit application details would be here */
},
"SCORE": {
"FCIREXScore": 792,
"FCIREXScoreConfidLevel": ""
}
}
},
"status_code": 200,
"success": true,
"message": "Success",
"message_code": "success"
}{
"status_code": 401,
"success": false,
"message": "Authentication failed. Invalid token provided.",
"message_code": "authentication_failed"
}curl --location --request POST 'https://kyc-api.surepass.app/api/v1/credit-report-experian/fetch-report' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "Vishal Rathore",
"consent": "Y",
"mobile": "8890858585",
"pan": "FPVPR1234Q"
}'{
"data": {
"client_id": "credit_report_experian_SivVmssPcdDwdnhnqghz",
"name": "Vishal Rathore",
"mobile": "8890858585",
"pan": "FPVPR1234Q",
"credit_score": "792",
"credit_report": {
"CreditProfileHeader": {
"ReportDate": 20240705,
"ReportTime": 172347,
"Version": "V2.4",
"ReportNumber": 1720180426926
},
"Current_Application": {
"Current_Application_Details": {
"Enquiry_Reason": 99,
"Finance_Purpose": 99,
"Amount_Financed": 0,
"Duration_Of_Agreement": 0,
"Current_Applicant_Details": {
"Last_Name": "SINGH Mirzapur",
"First_Name": "Munna Bhaiya",
"Middle_Name1": "",
"Middle_Name2": "",
"Middle_Name3": "",
"Gender_Code": 1,
"IncomeTaxPan": "FPVPR1234Q",
"Date_Of_Birth_Applicant": 19971008,
"Telephone_Number_Applicant_1st": "",
"Telephone_Extension": "",
"Telephone_Type": "",
"MobilePhoneNumber": 8890858585,
"EMailId": ""
},
"Current_Other_Details": {
"Income": 0,
"Marital_Status": "",
"Employment_Status": "",
"Time_with_Employer": "",
"Number_of_Major_Credit_Card_Held": ""
},
"Current_Applicant_Address_Details": {
"FlatNoPlotNoHouseNo": "PLOT NO A 403 RAMNAGRIYA NEAR SKIT",
"BldgNoSocietyName": "",
"RoadNoNameAreaLocality": "",
"City": "Jaipur",
"Landmark": "",
"State": 8,
"PINCode": 302033,
"Country_Code": "IB"
},
"Current_Applicant_Additional_AddressDetails": ""
}
},
"CAIS_Account": {
"CAIS_Summary": {
"Credit_Account": {
"CreditAccountTotal": 44,
"CreditAccountActive": 15,
"CreditAccountDefault": 0,
"CreditAccountClosed": 29,
"CADSuitFiledCurrentBalance": 0
},
"Total_Outstanding_Balance": {
"Outstanding_Balance_Secured": 0,
"Outstanding_Balance_Secured_Percentage": 0,
"Outstanding_Balance_UnSecured": 112480,
"Outstanding_Balance_UnSecured_Percentage": 92,
"Outstanding_Balance_All": 122679
}
},
"CAIS_Account_DETAILS": [
{
"Identification_Number": "PVTXXXXXXXX",
"Subscriber_Name": "XXXXXXXXXX",
"Account_Number": "XXXXXXXXXXX7938",
"Portfolio_Type": "I",
"Account_Type": 13,
"Open_Date": 20201017,
"Credit_Limit_Amount": "",
"Highest_Credit_or_Original_Loan_Amount": 114000,
"Terms_Duration": 36,
"Terms_Frequency": "M",
"Scheduled_Monthly_Payment_Amount": "",
"Account_Status": 11,
"Payment_Rating": 0,
"Payment_History_Profile": 0,
"Special_Comment": "",
"Current_Balance": 0,
"Amount_Past_Due": 0,
"Original_Charge_Off_Amount": "",
"Date_Reported": 20231130,
"Date_of_First_Delinquency": "",
"Date_Closed": "",
"Date_of_Last_Payment": 20231005,
"SuitFiledWillfulDefaultWrittenOffStatus": "",
"SuitFiled_WillfulDefault": "",
"Written_off_Settled_Status": "",
"Value_of_Credits_Last_Month": "",
"Occupation_Code": "S",
"Settlement_Amount": "",
"Value_of_Collateral": 161424,
"Type_of_Collateral": "",
"Written_Off_Amt_Total": 0,
"Written_Off_Amt_Principal": 0,
"Rate_of_Interest": "",
"Repayment_Tenure": 36,